org.apache.nutch.api.model.response

## Class JobInfo

- java.lang.Object
- - org.apache.nutch.api.model.response.JobInfo

-     public class JobInfo
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JobInfo.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobInfo(java.lang.String id, JobConfig config, JobInfo.State state, java.lang.String msg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getArgs()`
    `java.lang.String` | `getConfId()`
    `java.lang.String` | `getCrawlId()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getMsg()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getResult()`
    `JobInfo.State` | `getState()`
    `JobManager.JobType` | `getType()`
    `void` | `setArgs(java.util.Map<java.lang.String,java.lang.Object> args)`
    `void` | `setConfId(java.lang.String confId)`
    `void` | `setCrawlId(java.lang.String crawlId)`
    `void` | `setId(java.lang.String id)`
    `void` | `setMsg(java.lang.String msg)`
    `void` | `setResult(java.util.Map<java.lang.String,java.lang.Object> result)`
    `void` | `setState(JobInfo.State state)`
    `void` | `setType(JobManager.JobType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobInfo

          public JobInfo(java.lang.String id,
                         JobConfig config,
                         JobInfo.State state,
                         java.lang.String msg)

  - ### Method Detail

    - #### getMsg

          public java.lang.String getMsg()

    - #### setMsg

          public void setMsg(java.lang.String msg)

    - #### getState

          public JobInfo.State getState()

    - #### setState

          public void setState(JobInfo.State state)

    - #### getResult

          public java.util.Map<java.lang.String,java.lang.Object> getResult()

    - #### setResult

          public void setResult(java.util.Map<java.lang.String,java.lang.Object> result)

    - #### getArgs

          public java.util.Map<java.lang.String,java.lang.Object> getArgs()

    - #### setArgs

          public void setArgs(java.util.Map<java.lang.String,java.lang.Object> args)

    - #### getConfId

          public java.lang.String getConfId()

    - #### setConfId

          public void setConfId(java.lang.String confId)

    - #### getType

          public JobManager.JobType getType()

    - #### setType

          public void setType(JobManager.JobType type)

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getCrawlId

          public java.lang.String getCrawlId()

    - #### setCrawlId

          public void setCrawlId(java.lang.String crawlId)

Copyright © 2019 The Apache Software Foundation